Bug 821889 - Review Request: sphinx-webtools - Sphinx web tools for python web frameworks
Summary: Review Request: sphinx-webtools - Sphinx web tools for python web frameworks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-15 16:54 UTC by Andrea Veri
Modified: 2013-06-13 22:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-06-07 03:06:12 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2012-05-15 16:54:51 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/sphinx-webtools/sphinx-webtools.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/sphinx-webtools/sphinx-webtools-0.2.1-20120515.hg86a2eac02afe.fc16.src.rpm
Description: This package includes some tools to manage sphinx docs on the Python web framework: generate docs, get contents and links, search functionalities.

Comment 1 Kevin Fenzi 2012-05-15 18:26:55 UTC
I'll review this. Look for a full review in a bit.

Comment 2 Kevin Fenzi 2012-05-15 18:49:38 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
(md5's don't match because of timestamp differences, contents are the same)
8241b4a44d3af52ab44c2c8f48fed441  sphinx-webtools-0.2.1.20120515.hg86a2eac02afe.tar.gz
150001f6bf73a0dca6c94092ab2be8be  sphinx-webtools-0.2.1.20120515.hg86a2eac02afe.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. There's a test suite, might run it in a %check section? 
python setup.py test

2. rpmlint says: 

sphinx-webtools.noarch: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
sphinx-webtools.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
sphinx-webtools.src: W: invalid-url Source0: sphinx-webtools-0.2.1.20120515.hg86a2eac02afe.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

All can be ignored. 

I don't see any blockers here, so this package is APPROVED. 
Please do consider enabling the tests if they work ok in mock.

Comment 4 Andrea Veri 2012-05-16 11:06:57 UTC
New Package SCM Request
=======================
Package Name: sphinx-webtools
Short Description: Sphinx web tools for python web frameworks
Owners: averi
Branches: f17 el5 el6
InitialCC: averi

Comment 5 Gwyn Ciesla 2012-05-16 13:03:09 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-05-20 16:24:05 UTC
sphinx-webtools-0.2.1-20120516.hg86a2eac02afe.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sphinx-webtools-0.2.1-20120516.hg86a2eac02afe.el6

Comment 7 Fedora Update System 2012-05-20 17:58:03 UTC
sphinx-webtools-0.2.1-20120516.hg86a2eac02afe.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2013-05-28 21:55:15 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.el6

Comment 9 Fedora Update System 2013-05-28 21:55:33 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc19

Comment 10 Fedora Update System 2013-05-28 21:55:50 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc18

Comment 11 Fedora Update System 2013-05-28 21:56:07 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc17

Comment 12 Fedora Update System 2013-06-07 03:06:12 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-06-07 03:06:48 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-06-07 04:39:46 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-06-13 22:30:57 UTC
sphinx-webtools-0.2.1-20120528.hg86a2eac02afe.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.